%define fontconfdir     %{_sysconfdir}/fonts/conf.d
%define wqyroot         wqy-bitmapfont-gb18030
%define wqyfontdir      %{_datadir}/fonts/wenquanyi
%define fontdir         %{wqyfontdir}/bitmap
%define catalogue       %{_sysconfdir}/X11/fontpath.d

Name: wqy-bitmap-fonts
Summary: WenQuanYi Bitmap Chinese Fonts
Version: 0.9.9
Release: 2%{?dist}
# for font embedding exception please see
# http://www.gnu.org/licenses/gpl-faq.html#FontException
License: GPLv2 with exceptions
URL: http://wqy.sourceforge.net/en/
Group: User Interface/X
Source: http://downloads.sourceforge.net/wqy/wqy-bitmapfont-bdf-gb18030-%{version}-0.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: bdftopcf, mkfontdir
Requires: fontconfig >= 2.3
#Patch0: %{name}-%{version}-fix-mono.patch

%description
The Wen Quan Yi bitmap font is a manually fine-tuned
multi-strike bitmap font for on-screen display of Chinese 
(traditional and simplified). It has arguably the most complete 
coverage for Chinese characters among all known open-source 
fonts, including CJK Unified Ideograph (U4E00 - U9FA5) and 
CJK Unified Ideograph Extension A (U3400 - U4DB5) glyphs 
at four different sizes (9pt-12X12 pixel, 10pt-13X13 pixel, 
11pt-15X15 pixel, 12pt-16x16 pixel) and two weights 
(medium and bold). Use this font in web pages and elsewhere 
eliminates the annoying "blurring" problems caused by 
the high stroke density of many Chinese characters and 
insufficient "hinting" of anti-aliased Chinese fonts. 
This font also provides bitmap glyphs for Basic Latin,
Japanese Hiragana (U3040 - U309F) and Katakana (U30A0 - U30FF).

%prep
%setup -q -n %{wqyroot}
#%patch0 -p0

%build
make wqyv1

%install
rm -rf %{buildroot}
install -d -m755 %{buildroot}%{wqyfontdir}
install -d -m755 %{buildroot}%{fontdir}
install -p -m644 *.pcf  %{buildroot}%{fontdir}/
install -p -m644 fonts.alias  %{buildroot}%{fontdir}/
install -d -m755 %{buildroot}%{fontconfdir}
#install -p -m644 85-wqy-bitmapsong.conf  %{buildroot}%{fontconfdir}/
touch %{buildroot}%{fontdir}/fonts.dir

# Install catalogue symlink
mkdir -p %{buildroot}%{catalogue}/%{name}
ln -sf %{fontdir} %{buildroot}%{catalogue}/%{name}

%{_bindir}/mkfontdir %{buildroot}%{fontdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README LOGO.png
%dir %{wqyfontdir}
%dir %{fontdir}
%{fontdir}/*.pcf
#%config(noreplace) %{fontconfdir}/85-wqy-bitmapsong.conf
%{fontdir}/fonts.alias
%verify(not md5 size mtime) %{fontdir}/fonts.dir
%{catalogue}/%{name}

%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi

%changelog
*Fri Nov 23 2007 Qianqian Fang <fangqq@gmail.com> 0.9.9-2
- temporarily remove 85-wqy-bitmapsong.conf (#381311)

*Sat Nov 17 2007 Qianqian Fang <fangqq@gmail.com> 0.9.9-1
- avoid using Latin glyphs from this font in monospace environment such as in consoles

*Sat Nov 10 2007 Qianqian Fang <fangqq@gmail.com> 0.9.9-0
- include the complete CJK Extension A glyphs (6,582 x 4 point sizes), provide full coverage to Standard GB18030
- first round standard-compliance validation for all CJK basic characters between U4E00-U9FA5
- numerous bitmap glyph fine-tuning and corrections

* Tue Aug 28 2007 Jens Petersen <petersen@redhat.com> - 0.8.1-8
- fix font catalogue symlink (#252279)
- drop fontconfig and xorg-x11-font-utils requires for scripts
- drop freetype and xorg-x11-font-utils requires
- run mkfontdir at buildtime
- use the standard font scriptlets

*Thu Aug 16 2007 Qianqian Fang <fangqq@gmail.com> 0.8.1-7
- drop chkfontpath from the spec file, use fontpath.d instead (#252279)

*Fri May 18 2007 Qianqian Fang <fangqq@gmail.com> 0.8.1-6
- final polishing of spec file and initial upload to cvs

*Thu May 10 2007 Qianqian Fang <fangqq@gmail.com> 0.8.1-5
- further polishing the spec file (by Jens Petersen)

*Sun May 06 2007 Qianqian Fang <fangqq@gmail.com> 0.8.1-4
- use nightly-build cvs20070506-bdf as sources

*Fri May 04 2007 Qianqian Fang <fangqq@gmail.com> 0.8.1-3
- remove superfluous conflicts and provides

*Thu Apr 12 2007 Qianqian Fang <fangqq@gmail.com> 0.8.1-2
- update to upstream new release 0.8.1-7

*Sun Feb 18 2007 Qianqian Fang <fangqq@gmail.com> 0.8.0-1
- initial packaging for Fedora (#230560)
